$(document).ready(function(){
    $('.closemod').click(function(){    $('.reveal-modal-bg').click();    });
    $('input[type="text"]').focusout(function(){

        validate('fio');
        validate('tel');
        validate('email');
    });

    $('#btn').click(function(){
        
        validate('fio');
        validate('tel');
        validate('email');

        if($('input[name="fio"]').hasClass('valid') &&
           $('input[name="tel"]').hasClass('valid') &&
           $('input[name="email"]').hasClass('valid')
           ){
                
                var fio = $('input[name="fio"]').val();
                var tel = $('input[name="tel"]').val();
                var email = $('input[name="email"]').val();
                var messa = $('input[name="messa"]').val();
                $('input[name="messa"]').removeClass('invalid');
                $('input[name="messa"]').addClass('valid');
                $.post("/ajax2/mail.php",
                                  { fio: fio, tel: tel, email: email, messa: messa },
                                    function (data){
                                        if(data == 'true'){
                                            $('.reveal-modal-bg').click();
                                            $('[data-reveal-id=myMod]').click();
                                        }else{
                                            $('.reveal-modal-bg').click();
                                            $('[data-reveal-id=myMod2]').click();

                                        }
                                    },
                                    "text"
                                    );

            }
            return false;
    });
    
});

function validate(nameField){
    
   var currElem = 'input[name="'+ nameField +'"]';

    if($(currElem).val() == '' && $(currElem).attr('required') == 'required'){

            if($(currElem).hasClass('valid')){
                
                $(currElem).removeClass('valid')
            }


            $(currElem).addClass('invalid');
            
            $(currElem).next('p').text('*Это поле не должно быть пустым');
            
            
        }else{
            
            if($(currElem).val() != ''){
                
                var val = $(currElem).val();
                
                if(nameField === 'fio'){
                   regexp = /^[А-Яа-яЁё\ ]+$/i; 
                }
                if(nameField === 'tel'){
                   regexp = /^[\d]+[\d\(\)\ -]+[\d]+$/; 
                }
                if(nameField === 'email'){
                   regexp = /^[\w]{1}[\w-\.]*@[\w-]+\.[a-z]{2,4}$/i; 
                }
                
                if(regexp.test(val)){
                    
                    if($(currElem).hasClass('invalid')){
                        
                        $(currElem).removeClass('invalid');
                        $(currElem).next('p').text('');
                    }

                    $(currElem).addClass('valid');
                    
                }else{
                                 
                    if($(currElem).hasClass('valid')){
                        
                        $(currElem).removeClass('valid');
                    }
                    
                    $(currElem).addClass('invalid');
                    
                    if(nameField === 'fio'){
                        var text  = '*Допускаются только русские буквы';
                    }
                    if(nameField === 'tel'){
                        var text  = '*Неверный формат номера телефона';
                    }
                    if(nameField === 'email'){
                        var text  = '*Неверный формат электронной почты';
                    }
                    
                    $(currElem).next('p').text(text);
                }
         } 
    }
    
         
}
